Subject: Re: [PATCH 1/6] dt-bindings: panel: explicitly list SPI CPHA and CPOL

From: Rob Herring <[email-masked]>
Date: Thu, 21 Jul 2022 13:30:04 -0600

On Thu, Jul 21, 2022 at 05:31:50PM +0200, Krzysztof Kozlowski wrote:
> The spi-cpha and spi-cpol properties are device specific and should be
> accepted only if device really needs them.  Explicitly list them in
> device bindings in preparation of their removal from generic
> spi-peripheral-props.yaml schema.
> 
> Signed-off-by: Krzysztof Kozlowski <[email-masked]>
> ---
>  .../bindings/display/panel/lgphilips,lb035q02.yaml   | 10 ++++++++++
>  .../bindings/display/panel/samsung,ld9040.yaml       | 10 ++++++++++
>  .../bindings/display/panel/samsung,lms380kf01.yaml   | 12 +++++++++---
>  .../bindings/display/panel/samsung,lms397kf04.yaml   | 12 +++++++++---
>  .../bindings/display/panel/samsung,s6d27a1.yaml      | 12 +++++++++---
>  .../bindings/display/panel/sitronix,st7789v.yaml     | 10 ++++++++++
>  .../devicetree/bindings/display/panel/tpo,td.yaml    | 10 ++++++++++
>  7 files changed, 67 insertions(+), 9 deletions(-)
> 
> diff --git a/Documentation/devicetree/bindings/display/panel/lgphilips,lb035q02.yaml b/Documentation/devicetree/bindings/display/panel/lgphilips,lb035q02.yaml
> index 5e4e0e552c2f..0bd7bbad5b94 100644
> --- a/Documentation/devicetree/bindings/display/panel/lgphilips,lb035q02.yaml
> +++ b/Documentation/devicetree/bindings/display/panel/lgphilips,lb035q02.yaml
> @@ -21,6 +21,16 @@ properties:
>    enable-gpios: true
>    port: true
>  
> +  spi-cpha:
> +    type: boolean
> +    description:
> +      The device requires shifted clock phase (CPHA) mode.
> +
> +  spi-cpol:
> +    type: boolean
> +    description:
> +      The device requires inverse clock polarity (CPOL) mode.

Not great duplicating the type and description everywhere.

We can move the definition back to spi-controller.yaml, so then that 
does type checking of the property, but not presence/absence checks.

Rob